Subject: RE: draft-ietf-pkix-rfc3280bis-08.txt

From: Stefan Santesson <[email-masked]>
Date: Fri, 2 Mar 2007 12:49:41 +0000

I don't see this as a real problem.
The fix in 08 is reasonable to me.

I agree with Stephen that we should ship the document unless we encounter something really bad.
If we require the document to be "perfect" before we ship it, we will never get it out the door.

Stefan Santesson
Senior Program Manager
Windows Security, Standards

> -----Original Message-----
> From: [email-masked] [mailto:owner-ietf-
> [email-masked]] On Behalf Of Stephen Farrell
> Sent: den 27 februari 2007 00:48
> To: Russ Housley
> Cc: Peter Sylvester; David A. Cooper; pkix
> Subject: Re: draft-ietf-pkix-rfc3280bis-08.txt
>
>
>
> I'd ask whether or not this is a *real* problem. If it is,
> then yes, let's fix it. However, if not, then let's just get
> this out the door - 3280bis has been a long time in the
> oven already.
>
> IMO this isn't a real problem, unless someone says that it
> affects their code. I also have confidence that most of the
> important code bases for X.509 are represented here and are
> well able to object to changes that impact on their code.
>
> So - who says this is a real problem for their code?
>
> S.
>
> PS: I don't really have a problem with this change. I do
> have a problem however with the seemingly endless series
> of similar changes that appear to slightly "improve" the
> document but mostly just add delay.
>
>
> Russ Housley wrote:
> >
> > Peter:
> >
> > If you find this unacceptable, we can assign new module OIDs.
> >
> > Russ
> >
> >
> >> Hi,
> >>
> >> **The ASN.1 modules in appendix A are unchanged from RFC 3280,
> except
> >>   that ub-emailaddress-length was changed from 128 to 255 in order
> to
> >>   align with PKCS #9 [RFC 2985].**
> >>
> >>
> >> isn't this an incompatible change from 3280? At least one well
> deployed
> >> implementation checks for 128, i.e. openssl.
> >>
> >> If this is acceptable, can someone explain why we cannot remove the
> >> restrictions
> >> in the URI choice in order to align with X.509?
> >>
> >> Peter
> >>
> >
> >